package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置培训跟踪b对象 t_trainingbcc
 *
 * @author ssy
 * @date 2024-06-19
 */
public class TTrainingbcc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 培训课程 */
    @Excel(name = "培训课程")
    private String course;

    /** 课程代码 */
    @Excel(name = "课程代码")
    private String courseid;

    /** 培训周期 */
    @Excel(name = "培训周期")
    private String period;

    /** 课时 */
    @Excel(name = "课时")
    private String duration;

    /** 培训人 */
    @Excel(name = "培训人")
    private String trainer;

    /** 培训岗位 */
    @Excel(name = "培训岗位")
    private String position;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 培训开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseStartdate;

    /** 培训结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseEnddate;

    /** 是否完成 */
    @Excel(name = "是否完成")
    private Long isfinish;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmor;

    /** 年份 */
    @Excel(name = "年份")
    private String years;

    /** 培训内容 */
    @Excel(name = "培训内容")
    private String content;

    /** 未参会人员名单 */
    @Excel(name = "未参会人员名单")
    private String nonParticipants;

    /** 部门 */
    @Excel(name = "部门")
    private String unit;

    /** 培训分类 */
    @Excel(name = "培训分类")
    private String trainingType;

    /** 图片url */
    @Excel(name = "图片url")
    private String picUrl;

    /** 装置级培训ID */
    @Excel(name = "装置级培训ID")
    private Long regularId;

    /** 指定岗位 */
    @Excel(name = "指定岗位")
    private String designatedPosition;

    /** 指定人员 */
    @Excel(name = "指定人员")
    private String designatedStaff;

    /** 学习链接 */
    @Excel(name = "学习链接")
    private String fileUrl;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 需要学习时长 */
    @Excel(name = "需要学习时长")
    private Long timerNeed;

    private int haveTraining;

    private int mustTraining;
    private String trainingPercent;
    /** 考试ID */
    @Excel(name = "考试ID")
    private Long examId;

    private String deptName;

    private String staffIds;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    public int getHaveTraining() {
        return haveTraining;
    }

    public void setHaveTraining(int haveTraining) {
        this.haveTraining = haveTraining;
    }

    public int getMustTraining() {
        return mustTraining;
    }

    public void setMustTraining(int mustTraining) {
        this.mustTraining = mustTraining;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setCourse(String course)
    {
        this.course = course;
    }

    public String getCourse()
    {
        return course;
    }
    public void setCourseid(String courseid)
    {
        this.courseid = courseid;
    }

    public String getCourseid()
    {
        return courseid;
    }
    public void setPeriod(String period)
    {
        this.period = period;
    }

    public String getPeriod()
    {
        return period;
    }
    public void setDuration(String duration)
    {
        this.duration = duration;
    }

    public String getDuration()
    {
        return duration;
    }
    public void setTrainer(String trainer)
    {
        this.trainer = trainer;
    }

    public String getTrainer()
    {
        return trainer;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setCourseStartdate(Date courseStartdate)
    {
        this.courseStartdate = courseStartdate;
    }

    public Date getCourseStartdate()
    {
        return courseStartdate;
    }
    public void setCourseEnddate(Date courseEnddate)
    {
        this.courseEnddate = courseEnddate;
    }

    public Date getCourseEnddate()
    {
        return courseEnddate;
    }
    public void setIsfinish(Long isfinish)
    {
        this.isfinish = isfinish;
    }

    public Long getIsfinish()
    {
        return isfinish;
    }
    public void setConfirmor(String confirmor)
    {
        this.confirmor = confirmor;
    }

    public String getConfirmor()
    {
        return confirmor;
    }
    public void setYears(String years)
    {
        this.years = years;
    }

    public String getYears()
    {
        return years;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setNonParticipants(String nonParticipants)
    {
        this.nonParticipants = nonParticipants;
    }

    public String getNonParticipants()
    {
        return nonParticipants;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getTrainingPercent() {
        return trainingPercent;
    }

    public void setTrainingPercent(String trainingPercent) {
        this.trainingPercent = trainingPercent;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setTrainingType(String trainingType)
    {
        this.trainingType = trainingType;
    }

    public String getTrainingType()
    {
        return trainingType;
    }
    public void setPicUrl(String picUrl)
    {
        this.picUrl = picUrl;
    }

    public String getPicUrl()
    {
        return picUrl;
    }
    public void setRegularId(Long regularId)
    {
        this.regularId = regularId;
    }

    public Long getRegularId()
    {
        return regularId;
    }
    public void setDesignatedPosition(String designatedPosition)
    {
        this.designatedPosition = designatedPosition;
    }

    public String getDesignatedPosition()
    {
        return designatedPosition;
    }
    public void setDesignatedStaff(String designatedStaff)
    {
        this.designatedStaff = designatedStaff;
    }

    public String getDesignatedStaff()
    {
        return designatedStaff;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setTimerNeed(Long timerNeed)
    {
        this.timerNeed = timerNeed;
    }

    public Long getTimerNeed()
    {
        return timerNeed;
    }
    public void setExamId(Long examId)
    {
        this.examId = examId;
    }

    public Long getExamId()
    {
        return examId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getStaffIds() {
        return staffIds;
    }

    public void setStaffIds(String staffIds) {
        this.staffIds = staffIds;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("course", getCourse())
            .append("courseid", getCourseid())
            .append("period", getPeriod())
            .append("duration", getDuration())
            .append("trainer", getTrainer())
            .append("position", getPosition())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("courseStartdate", getCourseStartdate())
            .append("courseEnddate", getCourseEnddate())
            .append("isfinish", getIsfinish())
            .append("confirmor", getConfirmor())
            .append("years", getYears())
            .append("content", getContent())
            .append("nonParticipants", getNonParticipants())
            .append("unit", getUnit())
            .append("trainingType", getTrainingType())
            .append("picUrl", getPicUrl())
            .append("regularId", getRegularId())
            .append("designatedPosition", getDesignatedPosition())
            .append("designatedStaff", getDesignatedStaff())
            .append("fileUrl", getFileUrl())
            .append("fileName", getFileName())
            .append("timerNeed", getTimerNeed())
            .append("examId", getExamId())
            .toString();
    }
}
